Invalid patcher dependency: net.minecraftforge:forge:1.15.2-31.2.0:userdev

Status
Resolved
Type
Product/platform
Not applicable
Priority
Normal
Issue description

I got an error when building my new project:

 
Executing Gradle task: build 
Build info: MCreator 2020.4.30417 EAP (30417), forge-1.15.2, 64-bit, 16267 MB, Windows 7, JVM 1.8.0_252, JAVA_HOME: G:\MCreator EAP 2020.4 b30417 Windows 64bit\MCreatorEAP20204b30417\jdk 
> Configure project : 
New Dep: net.minecraftforge:forge:1.15.2-31.2.0_mapped_snapshot_20200514-1.15.1 
FAILURE: Build failed with an exception. 
* What went wrong: 
A problem occurred configuring root project 'portal__expansion_pack'. 
> Invalid patcher dependency: net.minecraftforge:forge:1.15.2-31.2.0:userdev 
* Try: 
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights. 
* Get more help at https://help.gradle.org 
BUILD FAILED in 7s 
BUILD FAILED 
Task completed in 9253 milliseconds 

PS:I'm still using 2020.4 EAP 30417

Issue comments

why it says "Stopping running gradle daemons [!]"?

what does the exclamation mark means?

 

This means MCreator could not stop gradle daemons so setup might not work properly. Smart to reboot computer in such cases. If you read page I linked, you would see part of instructions is to reboot computer.

And,should I delete the entire folder?

PS:Thanks for the menu Build & Run/Clear all gradle caches

Timeout of 120000 reached waiting for exclusive access to file

Read the page I linked, this message exactly is explained there too...



Donate to MCreator

By donating to developers you can speed up development, as with more resources, we can dedicate more time to MCreator. It is a free project made by developers working on it in their free time.